--[[local addon = MC

local SM = addon.SM
local Media = {}
addon.Media = Media

local dbp
local function RefreshProfile(db) 
	dbp = db.profile 
	addon:NotifyAllMedia()
end
addon:AddToRefreshProfile(RefreshProfile)

do
	SM:Register("font", "Myriad Pro", "Interface\\AddOns\\MosphetCookies\\media\\fonts\\myriad.otf")
	SM:Register("font", "Lucidia Sans", "Interface\\AddOns\\MosphetCookies\\media\\fonts\\lsans.ttf")
	SM:Register("font", "Acens", "Interface\\AddOns\\MosphetCookies\\media\\fonts\\acens.ttf")
	SM:Register("font", "Agency", "Interface\\AddOns\\MosphetCookies\\media\\fonts\\acengy.ttf")
end

function addon:NotifyAllMedia()
	addon:NotifyFontChanged()
end

do
	local reg = {}
	function addon:RegisterFontString(fontstring,size,flags)
		reg[#reg+1] = fontstring
		fontstring:SetFont(SM:Fetch("font",dbp.fontface),size,flags)
	end

	function addon:NotifyFontChanged(fontFile)
		local font = SM:Fetch("font",dbp.fontface)
		for _,fontstring in ipairs(reg) do
			local _,size,flags = fontstring:GetFont()
			fontstring:SetFont(font,size,flags)
		end
	end
end]]